<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>Game</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Game";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Game.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/sebi/zuul/logic/IO.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/logic/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.logic</div>
<h2 title="Class Game" class="title">Class Game</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.logic.Game</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Game</span>
extends java.lang.Object</pre>
<div class="block">This class is the main data class for the game.
 It contains all information about the current state of the game<br/><br/>
 <p>
 This main class creates and initialises all the others: it creates all
 rooms, creates the parser and starts the game.  It also evaluates and
 executes the commands that the parser returns.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.1</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Michael Kolling and David J. Barnes and Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command">CommandParser</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#commandParser">commandParser</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../ch/sebi/zuul/logic/fight/Fight.html" title="class in ch.sebi.zuul.logic.fight">Fight</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#currentFight">currentFight</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#currentRoom">currentRoom</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#loosingCondition">loosingCondition</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#player">player</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#winningCondition">winningCondition</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#Game--">Game</a></span>()</code>
<div class="block">Create the game and initialise its internal map.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#createRooms--">createRooms</a></span>()</code>
<div class="block">Create all the rooms and link their exits together.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command">CommandParser</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#getCommandParser--">getCommandParser</a></span>()</code>
<div class="block">Returns the main command parser</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../ch/sebi/zuul/logic/fight/Fight.html" title="class in ch.sebi.zuul.logic.fight">Fight</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#getCurrentFight--">getCurrentFight</a></span>()</code>
<div class="block">Returns the current fight or null there is no fight currently</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#getCurrentRoom--">getCurrentRoom</a></span>()</code>
<div class="block">Returns the current room</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#getLoosingCondition--">getLoosingCondition</a></span>()</code>
<div class="block">Returns the loosing condition which has to evaluate to true to loos
 the game.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#getPlayer--">getPlayer</a></span>()</code>
<div class="block">Returns the current player</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#getWinningCondition--">getWinningCondition</a></span>()</code>
<div class="block">Returns the winning winningCondition which has to evaluate to true</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#setCurrentFight-ch.sebi.zuul.logic.fight.Fight-">setCurrentFight</a></span>(<a href="../../../../ch/sebi/zuul/logic/fight/Fight.html" title="class in ch.sebi.zuul.logic.fight">Fight</a>&nbsp;currentFight)</code>
<div class="block">Sets the current fight.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Game.html#setCurrentRoom-ch.sebi.zuul.logic.map.Room-">setCurrentRoom</a></span>(<a href="../../../../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a>&nbsp;currentRoom)</code>
<div class="block">Sets the current room to the given room</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="currentRoom">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentRoom</h4>
<pre>private&nbsp;<a href="../../../../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a> currentRoom</pre>
</li>
</ul>
<a name="winningCondition">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>winningCondition</h4>
<pre>private&nbsp;<a href="../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a> winningCondition</pre>
</li>
</ul>
<a name="loosingCondition">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loosingCondition</h4>
<pre>private&nbsp;<a href="../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a> loosingCondition</pre>
</li>
</ul>
<a name="player">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>player</h4>
<pre>private&nbsp;<a href="../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a> player</pre>
</li>
</ul>
<a name="commandParser">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commandParser</h4>
<pre>private&nbsp;<a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command">CommandParser</a> commandParser</pre>
</li>
</ul>
<a name="currentFight">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>currentFight</h4>
<pre>private&nbsp;<a href="../../../../ch/sebi/zuul/logic/fight/Fight.html" title="class in ch.sebi.zuul.logic.fight">Fight</a> currentFight</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Game--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Game</h4>
<pre>public&nbsp;Game()</pre>
<div class="block">Create the game and initialise its internal map.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createRooms--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createRooms</h4>
<pre>private&nbsp;void&nbsp;createRooms()</pre>
<div class="block">Create all the rooms and link their exits together.</div>
</li>
</ul>
<a name="getCurrentRoom--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentRoom</h4>
<pre>public&nbsp;<a href="../../../../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a>&nbsp;getCurrentRoom()</pre>
<div class="block">Returns the current room</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the room</dd>
</dl>
</li>
</ul>
<a name="setCurrentRoom-ch.sebi.zuul.logic.map.Room-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurrentRoom</h4>
<pre>public&nbsp;void&nbsp;setCurrentRoom(<a href="../../../../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a>&nbsp;currentRoom)</pre>
<div class="block">Sets the current room to the given room</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>currentRoom</code> - the new room where the</dd>
</dl>
</li>
</ul>
<a name="getPlayer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayer</h4>
<pre>public&nbsp;<a href="../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;getPlayer()</pre>
<div class="block">Returns the current player</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the player</dd>
</dl>
</li>
</ul>
<a name="getWinningCondition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWinningCondition</h4>
<pre>public&nbsp;<a href="../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a>&nbsp;getWinningCondition()</pre>
<div class="block">Returns the winning winningCondition which has to evaluate to true</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the winningCondition</dd>
</dl>
</li>
</ul>
<a name="getLoosingCondition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoosingCondition</h4>
<pre>public&nbsp;<a href="../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a>&nbsp;getLoosingCondition()</pre>
<div class="block">Returns the loosing condition which has to evaluate to true to loos
 the game.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the loosing condition</dd>
</dl>
</li>
</ul>
<a name="getCommandParser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCommandParser</h4>
<pre>public&nbsp;<a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command">CommandParser</a>&nbsp;getCommandParser()</pre>
<div class="block">Returns the main command parser</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the main command parser</dd>
</dl>
</li>
</ul>
<a name="getCurrentFight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentFight</h4>
<pre>public&nbsp;<a href="../../../../ch/sebi/zuul/logic/fight/Fight.html" title="class in ch.sebi.zuul.logic.fight">Fight</a>&nbsp;getCurrentFight()</pre>
<div class="block">Returns the current fight or null there is no fight currently</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the fight instance or null</dd>
</dl>
</li>
</ul>
<a name="setCurrentFight-ch.sebi.zuul.logic.fight.Fight-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setCurrentFight</h4>
<pre>public&nbsp;void&nbsp;setCurrentFight(<a href="../../../../ch/sebi/zuul/logic/fight/Fight.html" title="class in ch.sebi.zuul.logic.fight">Fight</a>&nbsp;currentFight)</pre>
<div class="block">Sets the current fight. If it is null, there is no current fight</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>currentFight</code> - the current fight instance or nullull</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Game.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/sebi/zuul/logic/IO.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/logic/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
